{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Dyntrig",
	"description": "Dyntrig",
	"properties": {
		"offset": {
			"type": "number",
			"description": "Offset in units of dB, for calculation of line"
		},
		"scale": {
			"type": "number",
			"description": "Scale in units of dB, for calculation of line: line number N=(amplitude-offset)/scale"
		},
		"tab": {
			"type": "array",
			"items": {
				"description": "...",
				"type": "object",
				"properties": {
					"thra1": {
						"description": "Post-trigger threshold in units of dB",
						"type": "number"
					},
					"del1": {
						"description": "Length of constant post-trigger threshold elevation in units of m",
						"type": "number"
					},
					"dec1": {
						"description": "Decay of post-trigger threshold after del1 in units of dB/m",
						"type": "number"
					},
					"thra2": {
						"description": "Pre-trigger threshold in units of dB",
						"type": "number"
					},
					"del2": {
						"description": "Length of constant pre-trigger threshold elevation in units of m",
						"type": "number"
					},
					"dec2": {
						"description": "Rise of pre-trigger threshold after del2 in units of dB/m",
						"type": "number"
					}
				},
				"required": [
					"thra1",
					"del1",
					"dec1",
					"thra2",
					"del2",
					"dec2"
				]
			},
			"minItems": 1,
			"maxItems": 128,
			"description": "..."
		},
		"pre": {
			"type": "object",
			"description": "Dyntrig pre values",
			"properties": {
				"nc": {
					"type": "integer",
					"minimum": 0,
					"maximum": 255,
					"description": "Number of entries"
				},
				"a": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"minItems": 1,
					"maxItems": 2080,
					"description": "..."
				}
			},
			"required": [
				"nc",
				"a"
			]
		},
		"post": {
			"type": "object",
			"description": "Dyntrig post values",
			"properties": {
				"nc": {
					"type": "integer",
					"minimum": 0,
					"maximum": 255,
					"description": "Number of entries"
				},
				"a": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"minItems": 1,
					"maxItems": 2080,
					"description": "..."
				}
			},
			"required": [
				"nc",
				"a"
			]
		}
	}
}